Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.packaging
[Groovy] Class GrailsProjectPackager

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.packaging.GrailsProjectPackager

    class GrailsProjectPackager
    extends BaseSettingsApi

Encapsulates the logic to package a project ready for execution.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `LOGGING_INITIALIZER_CLASS`

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`boolean` | `async`
`java.lang.ClassLoader` | `classLoader`
`java.io.File` | `configFile`
`GrailsConsole` | `grailsConsole`
`boolean` | `native2ascii`
`GrailsProjectCompiler` | `projectCompiler`
`java.lang.String` | `servletVersion`
`boolean` | `warMode`

Constructor Summary
`GrailsProjectPackager(GrailsProjectCompiler compiler, java.io.File configFile, boolean doCompile = true)`
`GrailsProjectPackager(GrailsProjectCompiler compiler, GrailsBuildEventListener buildEventListener, java.io.File configFile, boolean doCompile = true)`

Method Summary
`java.lang.String` | `configureServerContextPath()`
`groovy.util.ConfigObject` | `createConfig()` Creates and loads the application Config
`java.lang.Object` | `generatePluginXml(java.io.File descriptor, boolean compilePlugin = true )` Generates a plugin.xml file for the given plugin descriptor
`void` | `generateWebXml(GrailsPluginManager pluginManager)` Generates the web.xml file used by Grails to startup
`groovy.util.AntBuilder` | `getAnt()`
`groovy.util.ConfigObject` | `packageApplication()` Packages an application.
`void` | `packageConfigFiles(java.lang.Object from)` Packages any config files such as Hibernate config, XML files etc.
`protected void` | `packageJspFiles()`
`void` | `packagePlugins()` , *
`void` | `packagePluginsForWar(java.lang.Object targetDir)` Packages application plugins to the target directory in WAR mode
`void` | `packageTemplates(java.lang.Object scaffoldDir)`
`void` | `packageTlds()`
`void` | `processMessageBundles()` Processes application message bundles converting them from native to ascii if required
`void` | `startLogging(groovy.util.ConfigObject config)` Starts the logging infrastructure

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LOGGING_INITIALIZER_CLASS

    public static final java.lang.String LOGGING_INITIALIZER_CLASS

Property Detail

### async

    boolean async

### classLoader

    java.lang.ClassLoader classLoader

### configFile

    java.io.File configFile

### grailsConsole

    GrailsConsole grailsConsole

### native2ascii

    boolean native2ascii

### projectCompiler

    GrailsProjectCompiler projectCompiler

### servletVersion

    java.lang.String servletVersion

### warMode

    boolean warMode

Constructor Detail

### GrailsProjectPackager

    GrailsProjectPackager(GrailsProjectCompiler compiler, java.io.File configFile, boolean doCompile = true)

### GrailsProjectPackager

    GrailsProjectPackager(GrailsProjectCompiler compiler, GrailsBuildEventListener buildEventListener, java.io.File configFile, boolean doCompile = true)

Method Detail

### configureServerContextPath

    @CompileStatic
    java.lang.String configureServerContextPath()

### createConfig

    @CompileStatic
    groovy.util.ConfigObject createConfig()

  Creates and loads the application Config
  Returns:
    The application config

### generatePluginXml

    java.lang.Object generatePluginXml(java.io.File descriptor, boolean compilePlugin = true )

  Generates a plugin.xml file for the given plugin descriptor
  Parameters:
    `descriptor` - The descriptor
    `compilePlugin` - Whether the compile the plugin
  Returns:
    The plugin properties

### generateWebXml

    void generateWebXml(GrailsPluginManager pluginManager)

  Generates the web.xml file used by Grails to startup

### getAnt

    @CompileStatic
    groovy.util.AntBuilder getAnt()

### packageApplication

    @CompileStatic
    groovy.util.ConfigObject packageApplication()

  Packages an application.
  Returns:
    true if the packaging was successful, false otherwise

### packageConfigFiles

    void packageConfigFiles(java.lang.Object from)

  Packages any config files such as Hibernate config, XML files etc. to the projects resources directory
  Parameters:
    `from` - Where to package from

### packageJspFiles

    protected void packageJspFiles()

### packagePlugins

    void packagePlugins()

  , *

### packagePluginsForWar

    void packagePluginsForWar(java.lang.Object targetDir)

  Packages application plugins to the target directory in WAR mode
  Parameters:
    `targetDir` - The target dir

### packageTemplates

    void packageTemplates(java.lang.Object scaffoldDir)

### packageTlds

    @CompileStatic
    void packageTlds()

### processMessageBundles

    void processMessageBundles()

  Processes application message bundles converting them from native to ascii if required

### startLogging

    void startLogging(groovy.util.ConfigObject config)

  Starts the logging infrastructure
  Parameters:
    `config` - The config object

Groovy Documentation